Upgrade First Party Library Dependencies for Release 0.15

Closed David Diederich requested to merge dependency-upgrade into master

This automated MR upgrades the first party libraries (other OSDU libraries) to utilize the latest release. The intent is to keep the OSDU projects utilizing the latest available code to ensure widespread usage and stability. However, any library that is older than the previous release will be left as-is, since the upgrade is likely to be more complicated. Furthermore, the upgrade should only be merged in the CI pipeline reports success.

If this MR has failed, we can spend a little time investigating to see if a trivial upgrade could achieve compatiblity to the new library. But significant upgrade efforts should not occur on this MR, as part of the release tagging process. Instead, significant work should be scheduled for a subsequent milestone.

Dependency Information Before the Upgrade

Branch: master
SHA:    90f1958670111f3a288473788b669b97a07b251d
Maven:  0.15.0-SNAPSHOT
Maven Dependencies Root
core-lib-azure 0.14.0
os-core-common 0.15.0-SNAPSHOT
os-core-lib-ibm 0.15.0-rc2
(3rd Party) com.fasterxml.jackson.core.jackson-databind 2.13.2, 2.11.4
Critical: Found Vulnerable Jackson Databind dependency (<2.12.6.1 || >=2.13.0 <2.13.2.1)

Dependency Information After the Upgrade

Branch: dependency-upgrade
SHA:    eb7891684a10db84009ecff2b10810a0b47a3f56
Maven:  0.15.0-SNAPSHOT
Maven Dependencies Root
core-lib-azure 0.15.2
os-core-common 0.15.0
os-core-lib-ibm 0.15.1
(3rd Party) com.fasterxml.jackson.core.jackson-databind 2.13.2
Critical: Found Vulnerable Jackson Databind dependency (<2.12.6.1 || >=2.13.0 <2.13.2.1)
Edited by David Diederich

Merge request reports